Skip to main content
GET
/
networks
/
traffic
/
tasks
/
{taskIdentifier}
Get Task
curl --request GET \
  --url https://api.eflow.team/v1/networks/traffic/tasks/{taskIdentifier} \
  --header 'X-Eflow-Api-Key: <api-key>'
import requests

url = "https://api.eflow.team/v1/networks/traffic/tasks/{taskIdentifier}"

headers = {"X-Eflow-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};

fetch('https://api.eflow.team/v1/networks/traffic/tasks/{taskIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "network_id": 1,
  "url": "track.acme.com",
  "network_tracking_domain_id": 0,
  "network_conversion_domain_id": 0,
  "identifier": "T81BNW0EFPJ9O0FP",
  "type": "renew_domain",
  "category": "reactive",
  "status": "to_do",
  "assignment": "customer",
  "title": "Your domain subscription has expired. Renew it now",
  "description": "Under your domain registrar, add or choose a payment method and renew the domain.",
  "time_created": 1779845980,
  "time_completed": 0,
  "relationship": {
    "incident_identifier": "DOXTKYVL2JYFT9YS"
  }
}
A single remediation task by its identifier, including its title, step-by-step description, urgency, status, and the incident that generated it.

Authorizations

X-Eflow-Api-Key
string
header
required

Path Parameters

taskIdentifier
string
required

The task identifier (e.g. T81BNW0EFPJ9O0FP).

Response

200 - application/json
network_id
integer
url
string
network_tracking_domain_id
integer
network_conversion_domain_id
integer
identifier
string
type
string

Task type (e.g. renew_domain).

category
string

Urgency category (e.g. reactive).

status
string

Task status (e.g. to_do).

assignment
string

Who the task is assigned to (e.g. customer).

title
string
description
string
time_created
integer
time_completed
integer

Unix seconds; 0 while the task is open.

relationship
object